#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Compress
%define	pnam	Raw-Zlib
Summary:	Compress::Raw::Zlib - Low-Level Interface to zlib compression library
Summary(pl.UTF-8):	Compress::Raw::Zlib - niskopoziomowy interfejs do biblioteki kompresji zlib
Name:		perl-Compress-Raw-Zlib
Version:	2.068
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5992c736ff448491c70100f88bb24114
URL:		http://search.cpan.org/dist/Compress-Raw-Zlib/
BuildRequires:	perl-ExtUtils-MakeMaker >= 5.16
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	zlib-devel >= 1.2.3
Requires:	perl-dirs >= 1.0-10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Compress::Raw::Zlib module provides a Perl interface to the zlib
compression library.

%description -l pl.UTF-8
Moduł Compress::Raw::Zlib udostępnia perlowy interfejs do biblioteki
kompresji zlib.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

cat > config.in <<EOF
BUILD_ZLIB = False
INCLUDE = /usr/include
LIB = %{_libdir}
OLD_ZLIB = False
GZIP_OS_CODE = AUTO_DETECT
EOF

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Compress/Raw/Zlib.pm
%dir %{perl_vendorarch}/auto/Compress/Raw/Zlib
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/Raw/Zlib/Zlib.so
%{_mandir}/man3/Compress::Raw::Zlib.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Sep 10 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Compress-Raw-Zlib.git;a=log;h=master

* Thu Sep 10 2015 Marcin Krol <hawk@tld-linux.org> 7938cff
- updated to 2.068

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1ceb4ac
- removed zero-sized .bs file

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 8d616bd
- updated to 2.061

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> cfe73dc
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 9e0602d
- updated to 2.054

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> e13477e
- up to 2.048

* Mon Jan 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 6a277b6
- unified Source0 URL

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 2a0af20
- up to 2.045

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 9949bed
- updated to 2.033

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 83935b6
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b8ae82
- release 2

* Fri Apr 09 2010 amateja <amateja@pld-linux.org> 794adac
- updated to 2.026

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> 1d6a45b
- changed Source0 URL

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> 1b3c1b3
- updated to 2.024

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> 7697f88
- updated to 2.023

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> f81ec2a
- updated to 2.0.21

* Tue Aug 18 2009 Adam Gołębiowski <adamg@pld-linux.org> b7c2b8e
- CVE notes for 2.020

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 930d528
- updated to 2.020 [ fixes CVE-2009-1391, CVE-2009-1884 ]

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> 1153cfa
- up to 2.015, rel 1

* Sun Mar 02 2008 radek <radek@pld-linux.org> f50deed
- release 3

